Bug 221200 - Bad markup in system-config.services.8
Bad markup in system-config.services.8
Product: Fedora
Classification: Fedora
Component: system-config-services (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Depends On:
  Show dependency treegraph
Reported: 2007-01-02 17:30 EST by Eric Raymond
Modified: 2008-04-04 07:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-04 07:38:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Raymond 2007-01-02 17:30:36 EST
See http://catb.org/~esr/doclifter/problems.html for details on how and
why these patches were generated.  Feel free to email me with any questions.
Note: These patches do not change the mod date of any manual page.  You
may wish to do that by hand.

Problems with system-config-services.8:

1. Use of low-level troff hackery to set special indents or breaks can't
be translated. The page will have rendering faults in HTML, and
probably also under third-party man page browsers such as Xman, TkMan,
Rosetta, and the KDE help browser.

2. SYNTAX section is actually a Unix SYNOPSIS and should be so marked.

--- system-config-services.8-orig	2007-01-02 17:24:34.000000000 -0500
+++ system-config-services.8	2007-01-02 17:25:18.000000000 -0500
@@ -1,7 +1,7 @@
 .TH serviceconf 8 "Wed May 16 2001"
 system-config-services \- Service Configuration Utility
 This is a graphical tool for enabling and disabling services
@@ -10,10 +10,10 @@
 To run this program simply type:
@@ -40,8 +40,8 @@
 stopped, etc). This will be fixed; until then it's a bug.
 Tim Powers <timp@redhat.com>
 Bill Nottingham <notting@redhat.com>
 Dan Walsh <dwalsh@redhat.com>
Comment 1 Bug Zapper 2008-04-04 01:27:43 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Nils Philippsen 2008-04-04 07:38:22 EDT
Sorry for the late response and thanks for the patch. I've fixed this and
updated the manpage in system-config-services-0.99.12 which is building right now.

Note You need to log in before you can comment on or make changes to this bug.